Update API token roles

Update Workspace and Organization roles for an API token.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

organizationIdstringRequired
The ID of the Organization where you want to update an API token.
tokenIdstringRequired
The API token you want to update.

Request

This endpoint expects an object.
roleslist of objectsRequired
The roles of the API token, including DAG roles.

Response

OK
dagRoleslist of objects
A list of the subject's DAG roles.
deploymentRoleslist of objects
A list of the subject's Deployment roles. Currently only for API tokens.
organizationRolestring
The subject's Organization role.
workspaceRoleslist of objects
A list of the subject's Workspace roles.

Errors

400
Update API Token Roles Body Bad Request Error
401
Update API Token Roles Body Unauthorized Error
403
Update API Token Roles Body Forbidden Error
404
Update API Token Roles Body Not Found Error
500
Update API Token Roles Body Internal Server Error